Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2006-02-12 16:01:01


On Feb 10, 2006, at 7:52 AM, Berend van Wachem wrote:

> I downgraded gcc and have succesfully compiled open-mpi. However,
> when I
> run my project with 6 processors, I get the error:
>
> *** glibc detected *** malloc(): memory corruption:
> 0x0000000000f09190 ***

Can you run your application through a memory-checking debugger such
as valgrind? It may provide insight as to what is happening (and
where).

> I am using openmpi-1.0.2a1, gcc (GCC) 3.4.4 om amd64 linux.

Can you upgrade to 1.0.2a4? Several bugs have been fixed since a1.

-- 
{+} Jeff Squyres
{+} The Open MPI Project
{+} http://www.open-mpi.org/